geos::triangulate::quadedge::TriangleVisitor Class Referenceabstract

An interface for algorithms which process the triangles in a `QuadEdgeSubdivision`. More...

`#include <TriangleVisitor.h>`

## Public Member Functions

virtual void | visit (std::array< QuadEdge *, 3 > &triEdges)=0

## Detailed Description

An interface for algorithms which process the triangles in a `QuadEdgeSubdivision`.

Author
  JTS: Martin Davis
  Benjamin Campbell

## Member Function Documentation

## visit()

virtual void geos::triangulate::quadedge::TriangleVisitor::visit | ( | std::array< QuadEdge *, 3 > & | triEdges | ) |

pure virtual

Visits the `QuadEdge`s of a triangle.

Parameters

  triEdges | an array of the 3 quad edges in a triangle (in CCW order)

The documentation for this class was generated from the following file:

- TriangleVisitor.h